﻿@{
    ViewBag.Title = "FreeTrial";
    Layout = "~/Views/Shared/_BaseLayout.cshtml";
}


<section id="freeTrialContainer">
    <div class="inner-container center">

        <header class="header-content clearfix">
            <h1 class="window-title">Start your free 14-day trial</h1>
            <h3 class="window-subtitle">No credit card is required</h3>
        </header>

        <main class="body-content clearfix">
            <label class="jb-label">Verification by phone (text)</label>
            <a href="#" class="jb-tooltip">
                ?<span class="jb-tooltip-inner">Your mobile phone number will be used to contact you regarding your Jumbula account. VOIP numbers are not allowed. Standard rates may apply. Please use our online contact form to request a trial account if you do not have a mobile number</span>
            </a>
            <div id="s1" class="send-message-box clearfix">
                <input type="tel" id="phone" class="phone" />

                <button id="sendCodeBtn" class="btn btn-jb send-message" type="submit" onclick="sendPhoneNmber()">Send Code</button>
            </div>
            <!-- Step 2-->
            <div id="s2" class="form-items" style="display:none">
                <div class="verify-message-box clearfix">
                    <input id="verifycode" class="jb-input verify-input" type="text" maxlength="4" size="4" placeholder="Code" />
                    <button id="verifyCodeBtn" class="btn btn-jb jb-lg-btn verify-button" type="submit" onclick="verifyUserCode()">Verify</button>
                    <button id="sendCodeBtn" class="btn btn-jb jb-lg-btn verify-resend" type="submit" onclick="sendPhoneNmber()">Resend Code</button>
                </div>
            </div>
        </main>

        <section class="text clearfix">
            <ul>
                <li>Take payments online and go paperless</li>
                <li>Setup seasons and schedule your classes & camps</li>
                <li>Manage your business with rich reporting tools</li>
            </ul>
        </section>

        <!-- Footer -->
        <footer class="footer-content clearfix">
            <div class="pull-left"><div class="copyright">© Copyright <span class="year">2016</span> <a href="http://jumbula.com" title="Jumbula.com">Jumbula</a>. All Rights Reserved.</div></div>
            <div class="pull-right">
                <a href="https://twitter.com/Jumbulame" class="social" title="Twitter"><i class="jbi-twitter"></i></a>
                <a href="http://blog.jumbula.com/" class="social" title="Blog"><i class="jbi-book"></i></a>
                <a href="https://www.facebook.com/jumbulame" class="social" title="Facebook"><i class="jbi-facebook"></i></a>
            </div>
        </footer>
    </div>
</section>

@section Styles{
    <link href="~/Content/InternationalPhone/intlTelInput.css" rel="stylesheet" />

    <link href="~/Content/Student/Account/FreeTrial.css" rel="stylesheet" />
}

<script src="~/Scripts/InternationalPhone/intlTelInput.js" type="text/javascript"></script>
<script src="~/Scripts/InternationalPhone/utils.js" type="text/javascript"></script>
<script src="~/Scripts/Student/FreeTrial.js" type="text/javascript"></script>
<script src="~/Scripts/Libraries/jquery.mask.min.js" type="text/javascript"></script>


<script type="text/javascript">
    $("#phone").intlTelInput();
    // ----- Send Code Verification Message
    var $bodyContent = $("#freeTrialContainer .body-content");

    function sendPhoneNmber() {
        var $sendVerifyBtns = $('.send-message, .verify-resend'),
            intlNumber = $("#phone").intlTelInput("getNumber");

        //$bodyContent.find('.send-message-box').removeClass('has-error');
        $sendVerifyBtns.addClass('btn-spinner');
        $("#verificationError").remove();
        if (intlNumber.length === 0) {

            $sendVerifyBtns.removeClass('btn-spinner');
            $bodyContent.find('.send-message-box').addClass('has-error');
            $bodyContent.append('<div id="verificationError"><span>Please enter your phone number</span></div>');
        }
        else {

            $.ajax({
                type: 'POST',
                url: 'Verification/SendVerificationCode?phone=' + intlNumber,
                success: function (data) {
                    if (data.status) {
                        $sendVerifyBtns.removeClass('btn-spinner');
                        $("#s1").hide();
                        $("#s2").show();
                    } else {
                        $("#verificationError").remove();
                        $sendVerifyBtns.removeClass('btn-spinner');
                        //$bodyContent.find('.send-message-box').addClass('has-error');
                        $bodyContent.append('<div id="verificationError"><span>' + data.message + '</span></div>');
                    }
                }
            });
        }
    };
    // ----- Code Verification
    function verifyUserCode() {
        var $verifyBtn = $('.verify-button'),
            intlNumber = $("#phone").intlTelInput("getNumber"),
            code = $("#verifycode").val();
        //if (code.val().length!=0) {
        $verifyBtn.addClass('btn-spinner');
        //  }

        //$bodyContent.find('.verify-message-box').removeClass('has-error');
        $("#verificationError").remove();

        $.ajax({
            type: 'POST',
            url: 'Verification/VerifyCode?phone=' + intlNumber + '&code=' + code,
            success: function (data) {
                if (data.status) {
                    $verifyBtn.removeClass('btn-spinner');
                    var url = '@Url.Action("CreateAccountStep1", "Club")?token=' + data.message;
                    window.location = url;
                } else {
                    $verifyBtn.removeClass('btn-spinner');
                    //$bodyContent.find('.verify-message-box').addClass('has-error');
                    $bodyContent.append('<div id="verificationError"><span>' + data.message + '</span></div>');
                }
            }
        });
    };

    function changeMask($this) {
        var flag = $('.flag-container .selected-flag .iti-flag');
        if (flag.hasClass('us')) {
            $('#phone').mask('(000) 000-0000');
        } else {
            $('#phone').mask('0#');
        };
    };
    changeMask();
    $("body").delegate(".intl-tel-input .country-list .country", "click", function () {
        changeMask($(this));
    });

</script>